Skip to main content
GET
/
api
/
v1
/
apps
/
{app_slug}
/
endpoint-stats
Get Endpoint Stats
curl --request GET \
  --url https://api.example.com/api/v1/apps/{app_slug}/endpoint-stats \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "method": "<string>",
      "path": "<string>",
      "total_requests": 123,
      "error_count": 123,
      "error_rate": 123,
      "avg_response_time_ms": 123,
      "p95_response_time_ms": 123,
      "total_request_bytes": 123,
      "total_response_bytes": 123,
      "last_seen_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "page": 123,
  "page_size": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_slug
string
required

Query Parameters

environment
string | null
since
string | null
until
string | null
status_classes
string | null
status_codes
string | null
status_class
string | null
status_code
integer | null
methods
string | null
paths
string | null
q
string | null
sort_by
string
default:total_requests
sort_dir
string
default:desc
page
integer
default:1
page_size
integer
default:25

Response

200 - application/json

OK

items
EndpointStatsResponse · object[]
required
total_count
integer
required
page
integer
required
page_size
integer
required